Admin center:Ocsinventory-agent Debian woody package

From OCS Inventory NG
Jump to: navigation, search


installing Ocsinventory-agent Debian package on Debian woody (3.0)

Here is a list of dependency packages to search on archive.debian.org and packages.debian.org to install the ocsinventory-agent debian package on woody.

The package can be installed, it runs with some warnings, and the inventory is not complete, but it works.

* Package: gettext
  Version: 0.10.40-5
* Package: gettext-base
  Version: 0.10.40-5
* Package: intltool-debian
  Version: 0.35.0+20060710.1
* Package: libnet-ip-perl
  Version: 1.25-2
* Package: libproc-daemon-perl
  Version: 0.03-2
* Package: libxml-simple-perl
  Version: 2.14-1
* Package: ocsinventory-agent
  tested  with Version: 2:1.1.1-2
* Package: po-debconf
  Version: 0.8.23
* Package: ucf
  Version: 1.17

The only dirty thing i did was to modify the dependency of libxml-simple-perl on perl 5.8 (down to perl 5.6) to permit the installation with the vanille perl 5.6 present in woody.

 ar x libxml-simple-perl_2.14-1_all.deb 
 tar xvzf control.tar.gz
 vi  control
 tar cvzf control.tar.gz control md5sums
 ar r libxml-simple-perl_2.14-1_all.deb control.tar.gz